Skip to main content
POST
Initialize Re-Occcuring

Authorizations

Authorization
string
header
required

Your live or test secret key, prefixed sk-. Send as Authorization: Bearer sk-....

Body

application/json

Inititate a Direct debit Payment

transactionId
string
required
Example:

"uuid-34l45m5-5mfo9-em43-"

bvn
string
required
Example:

"001122334"

phone_no
string
required
Example:

"07011220033"

email
string
required
Example:

"kings@user.com"

address
string
required
Example:

"Abuja"

amount
string
required
Example:

"1000"

start_date
string
required
Example:

"2024-04-11"

end_date
string
required
Example:

"2024-04-28"

frequency
string
required
Example:

"daily"

currency
string
required
Example:

"NGN"

redirectUrl
string
Example:

"https://google.com"

webhookUrl
string
Example:

"https://google.com"

Response

Successful

CustomerCode
string
Example:

"S1_RFVcKsbBySc6"

transactionId
string
Example:

"uuid-34l45m5-5mfo9-"

directdeitReference
string
Example:

"uuid-34l45m5-5mfo9-"

dated
string
Example:

"2024-04-11T14:49:31.998Z"

mandate_status
string
Example:

"initiated"

total_expected_deductions
integer
Example:

18

frequency
string
Example:

"daily"

amount_per_charge
string
Example:

"1000"

total_charge_amount
integer
Example:

"1500"

url
string
Example:

" https://google.com"